package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.ConnectorCatalog.ConfigurationSchema(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.ConnectorCatalogServiceConfigurationSchemaResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.connectorCatalog.configurationSchema();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/connectorcatalog \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appId": "<string>",
"catalogId": "<string>",
"connectorId": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/connectorcatalog"
payload = {
"appId": "<string>",
"catalogId": "<string>",
"connectorId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({appId: '<string>', catalogId: '<string>', connectorId: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/connectorcatalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"formSchema": {
"description": "<string>",
"displayName": "<string>",
"fieldGroups": [
{
"default": true,
"displayName": "<string>",
"fields": [
"<string>"
],
"helpText": "<string>",
"name": "<string>"
}
],
"fieldRelationships": [
{
"atLeastOne": {},
"dependentOn": {
"dependencyFieldNames": [
"<string>"
]
},
"fieldNames": [
"<string>"
],
"mutuallyExclusive": {},
"requiredTogether": {}
}
],
"fields": [
{
"adminConfig": {
"defaultValueCel": "<string>",
"showToUser": true
},
"boolField": {
"checkboxField": {},
"defaultValue": true,
"rules": {
"const": true
},
"toggleField": {}
},
"description": "<string>",
"displayName": "<string>",
"fileField": {
"acceptedFileTypes": [
"<string>"
],
"fileInputField": {},
"maxFileSize": "<string>"
},
"int64Field": {
"defaultValue": "<string>",
"numberField": {
"maxValue": "<string>",
"minValue": "<string>",
"step": "<string>"
},
"placeholder": "<string>",
"rules": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
}
},
"name": "<string>",
"oauth2Field": {
"oauth2FieldView": {}
},
"readOnly": true,
"required": true,
"sharedConfig": {
"defaultValueCel": "<string>",
"inputTransformationCel": "<string>",
"lockDefaultValues": true
},
"stringField": {
"defaultValue": "<string>",
"passwordField": {},
"pickerField": {
"appUserPicker": {
"appId": "<string>"
},
"c1UserPicker": {},
"resourcePicker": {
"appId": "<string>",
"resourceTypeId": "<string>"
}
},
"placeholder": "<string>",
"rules": {
"address": true,
"const": "<string>",
"contains": "<string>",
"email": true,
"hostname": true,
"ignoreEmpty": true,
"in": [
"<string>"
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"lenBytes": "<string>",
"maxBytes": "<string>",
"maxLen": "<string>",
"minBytes": "<string>",
"minLen": "<string>",
"notContains": "<string>",
"notIn": [
"<string>"
],
"pattern": "<string>",
"prefix": "<string>",
"strict": true,
"suffix": "<string>",
"uri": true,
"uriRef": true,
"uuid": true
},
"selectField": {
"options": [
{
"description": "<string>",
"displayName": "<string>",
"value": "<string>"
}
]
},
"textField": {
"multiline": true,
"suffix": "<string>"
}
},
"stringMapField": {
"defaultValue": {},
"rules": {
"isRequired": true,
"validateEmpty": true
}
},
"stringSliceField": {
"chipsField": {},
"defaultValues": [
"<string>"
],
"pickerField": {
"appUserPicker": {
"appId": "<string>"
},
"c1UserPicker": {},
"resourcePicker": {
"appId": "<string>",
"resourceTypeId": "<string>"
}
},
"placeholder": "<string>",
"rules": {
"ignoreEmpty": true,
"items": {
"any": {
"in": [
"<string>"
],
"notIn": [
"<string>"
],
"required": true
},
"bool": {
"const": true
},
"bytes": {
"const": "aSDinaTvuI8gbWludGxpZnk=",
"contains": "aSDinaTvuI8gbWludGxpZnk=",
"ignoreEmpty": true,
"in": [
"aSDinaTvuI8gbWludGxpZnk="
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"maxLen": "<string>",
"minLen": "<string>",
"notIn": [
"aSDinaTvuI8gbWludGxpZnk="
],
"pattern": "<string>",
"prefix": "aSDinaTvuI8gbWludGxpZnk=",
"suffix": "aSDinaTvuI8gbWludGxpZnk="
},
"double": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"duration": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
],
"required": true
},
"enum": {
"const": 123,
"definedOnly": true,
"in": [
123
],
"notIn": [
123
]
},
"fixed32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"fixed64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"float": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"int32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"int64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"map": {
"ignoreEmpty": true,
"keys": null,
"maxPairs": "<string>",
"minPairs": "<string>",
"noSparse": true,
"values": null
},
"message": {
"required": true,
"skip": true
},
"repeated": null,
"sfixed32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"sfixed64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"sint32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"sint64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"string": {
"address": true,
"const": "<string>",
"contains": "<string>",
"email": true,
"hostname": true,
"ignoreEmpty": true,
"in": [
"<string>"
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"lenBytes": "<string>",
"maxBytes": "<string>",
"maxLen": "<string>",
"minBytes": "<string>",
"minLen": "<string>",
"notContains": "<string>",
"notIn": [
"<string>"
],
"pattern": "<string>",
"prefix": "<string>",
"strict": true,
"suffix": "<string>",
"uri": true,
"uriRef": true,
"uuid": true
},
"timestamp": {
"const": "2023-11-07T05:31:56Z",
"gt": "2023-11-07T05:31:56Z",
"gtNow": true,
"gte": "2023-11-07T05:31:56Z",
"lt": "2023-11-07T05:31:56Z",
"ltNow": true,
"lte": "2023-11-07T05:31:56Z",
"required": true,
"within": "<string>"
},
"uint32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"uint64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
}
},
"maxItems": "<string>",
"minItems": "<string>",
"unique": true
}
},
"userConfig": {
"inputTransformationCel": "<string>"
}
}
],
"id": "<string>"
},
"schema": {
"displayName": "<string>",
"fieldGroups": [
{
"default": true,
"displayName": "<string>",
"fieldNames": [
"<string>"
],
"helpText": "<string>",
"name": "<string>"
}
],
"fields": [
{
"additionalPlaceholder": "<string>",
"checkbox": {
"checked": true
},
"dependsOnFields": [
"<string>"
],
"displayName": "<string>",
"helpUrl": "<string>",
"import": {
"allowedExtensions": [
"<string>"
],
"secret": true,
"valueValidator": {
"address": true,
"const": "<string>",
"contains": "<string>",
"email": true,
"hostname": true,
"ignoreEmpty": true,
"in": [
"<string>"
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"lenBytes": "<string>",
"maxBytes": "<string>",
"maxLen": "<string>",
"minBytes": "<string>",
"minLen": "<string>",
"notContains": "<string>",
"notIn": [
"<string>"
],
"pattern": "<string>",
"prefix": "<string>",
"strict": true,
"suffix": "<string>",
"uri": true,
"uriRef": true,
"uuid": true
}
},
"keyValue": {
"secret": true,
"supportsFileUpload": true
},
"name": "<string>",
"oauth2": {},
"options": {},
"placeholder": "<string>",
"postCreate": true,
"random": {
"length": 123
},
"readOnly": {},
"secret": {},
"select": {
"items": [
{
"displayName": "<string>",
"value": "<string>"
}
]
},
"str": {
"secret": true,
"valueValidator": {
"address": true,
"const": "<string>",
"contains": "<string>",
"email": true,
"hostname": true,
"ignoreEmpty": true,
"in": [
"<string>"
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"lenBytes": "<string>",
"maxBytes": "<string>",
"maxLen": "<string>",
"minBytes": "<string>",
"minLen": "<string>",
"notContains": "<string>",
"notIn": [
"<string>"
],
"pattern": "<string>",
"prefix": "<string>",
"strict": true,
"suffix": "<string>",
"uri": true,
"uriRef": true,
"uuid": true
}
},
"strList": {
"valueValidator": {
"address": true,
"const": "<string>",
"contains": "<string>",
"email": true,
"hostname": true,
"ignoreEmpty": true,
"in": [
"<string>"
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"lenBytes": "<string>",
"maxBytes": "<string>",
"maxLen": "<string>",
"minBytes": "<string>",
"minLen": "<string>",
"notContains": "<string>",
"notIn": [
"<string>"
],
"pattern": "<string>",
"prefix": "<string>",
"strict": true,
"suffix": "<string>",
"uri": true,
"uriRef": true,
"uuid": true
}
},
"stringMap": {
"optional": true
},
"text": {
"secret": true,
"valueValidator": {
"address": true,
"const": "<string>",
"contains": "<string>",
"email": true,
"hostname": true,
"ignoreEmpty": true,
"in": [
"<string>"
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"lenBytes": "<string>",
"maxBytes": "<string>",
"maxLen": "<string>",
"minBytes": "<string>",
"minLen": "<string>",
"notContains": "<string>",
"notIn": [
"<string>"
],
"pattern": "<string>",
"prefix": "<string>",
"strict": true,
"suffix": "<string>",
"uri": true,
"uriRef": true,
"uuid": true
}
}
}
],
"helpUrl": "<string>",
"iconUrl": "<string>",
"isOauth2": true,
"requiresExternalConnector": true,
"supportsExternalResources": true
}
}Configuration Schema
Return the configuration schema describing the fields required to set up a connector of the specified type.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.ConnectorCatalog.ConfigurationSchema(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.ConnectorCatalogServiceConfigurationSchemaResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.connectorCatalog.configurationSchema();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
ConnectorCatalogServiceConfigurationSchemaRequest is the request for retrieving a connector's configuration schema.
Response
ConnectorCatalogServiceConfigurationSchemaResponse is the response containing the connector's configuration schema.
ConnectorCatalogServiceConfigurationSchemaResponse is the response containing the connector's configuration schema.
Was this page helpful?